/*
 *
 * Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package listeners;

import database.BookDBAO;
import javax.servlet.*;

public final class ContextListener
    implements ServletContextListener {
    private ServletContext context = null;

    public void contextInitialized(ServletContextEvent event) {
         context = event.getServletContext();
         
         try {
            BookDBAO bookDBAO = new BookDBAO();
            context.setAttribute("bookDB", bookDBAO);
         } catch (Exception ex) {
            context.log("Couldn't create bookstore database bean: " + ex.getMessage());
         }
    }
      
    public void contextDestroyed(ServletContextEvent event) {
         context = event.getServletContext();
         BookDBAO bookDBAO = (BookDBAO)context.getAttribute("bookDB");
         bookDBAO.remove();
         context.removeAttribute("bookDB");
    }
}
