/*
 *
 * Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package listeners;

import javax.sql.*;
import javax.naming.*;
import javax.servlet.*;

public final class ContextListener
  implements ServletContextListener {
  private ServletContext context = null;

  public void contextInitialized(ServletContextEvent event) {
    context = event.getServletContext();
    
  try  { 
      InitialContext ic = new InitialContext();
      Context envCtx = (Context) ic.lookup("java:comp/env");
      DataSource ds = (DataSource) envCtx.lookup("jdbc/BookDB");  
      context.setAttribute("bookDS", ds);
    } catch (Exception ex) {
      context.log("Couldn't create bookstore database bean: " + ex.getMessage());
    }
  }
    
  public void contextDestroyed(ServletContextEvent event) {
    context = event.getServletContext();
    context.removeAttribute("bookDS");
  }
}




